package net.shadowfacts.cacao

import net.shadowfacts.cacao.window.Window

/**
 * @author shadowfacts
 */
interface AbstractCacaoScreen {

	val windows: List<Window>

	fun <T: Window> addWindow(window: T, index: Int): T
	fun <T: Window> addWindow(window: T): T

	fun removeWindow(window: Window)

}