package net.shadowfacts.phycon.util

import net.minecraft.text.LiteralText
import net.minecraft.text.Text

/**
 * @author shadowfacts
 */
enum class SortMode: RotatableEnum {
	COUNT_HIGH_FIRST,
	COUNT_LOW_FIRST,
	ALPHABETICAL;

	val tooltip: Text
		get() = when (this) {
			COUNT_HIGH_FIRST -> LiteralText("Count, highest first")
			COUNT_LOW_FIRST -> LiteralText("Count, lowest first")
			ALPHABETICAL -> LiteralText("Name")
		}

}
