package net.shadowfacts.cacao

import net.shadowfacts.cacao.view.View
import no.birkett.kiwi.Variable

/**
 * A Kiwi variable that belongs to a Cacao view.
 * This class generally isn't used directly, but via the anchor *Anchor properties on [View].
 *
 * @author shadowfacts
 */
class LayoutVariable(val owner: View, val property: String): Variable("LayoutVariable") {

	override fun getName() = "$owner.$property"

	override fun toString() = "LayoutVariable(name=$name, value=$value)"

}